Bug 1016078 - libndp: ndptool does not appear to work
libndp: ndptool does not appear to work
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libndp (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Jiri Pirko
Petr Beňas
:
Depends On:
Blocks: 1016060
  Show dependency treegraph
 
Reported: 2013-10-07 08:59 EDT by Florian Weimer
Modified: 2015-05-04 21:24 EDT (History)
7 users (show)

See Also:
Fixed In Version: libndp-1.2-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:53:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian Weimer 2013-10-07 08:59:15 EDT
Run this in one shell on the system:

[root@localhost ~]# ping6 fe80::1%eth0
PING fe80::1%eth0(fe80::1) 56 data bytes
From fe80::5054:ff:fe75:31cc icmp_seq=1 Destination unreachable: Address unreachable
…

Now start ndptool in another shell:

[root@localhost ~]# ndptool monitor
ndp eventfd handler call failed
Command failed "No such file or directory"
[root@localhost ~]# 

Expected behavior is that ndptool continues to run, reporting neighbor discovery data as it is encountered.
Comment 6 Petr Beňas 2013-10-17 10:08:25 EDT
Reproduced in libndp-1.0-2.el7.x86_64 and verified in libndp-1.2-1.el7.x86_64.
Comment 7 Ludek Smid 2014-06-13 07:53:37 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.